Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 09/12/2012, à 12:15

josep

acepter eula

Bonjour et bon Dimanche à tous
J'essaye d'installer livrefoto fnac.
après téléchargement j'ai 2 fichiers 1 .txt et l'autre install.pl .
j'ouvre le .pl dans un terminal il m'indique de faire un CR pour continuer et accepter le contrat.
Le problème c'est que je ne sais pas quoi taper à la fin du contrat pour l'accepter.
je suis donc bloqué à ce niveau.
merci  d'avance pour votre aide

Hors ligne

#2 Le 09/12/2012, à 12:29

slasher-fun

Re : acepter eula

Bonjour,

Appuyer sur Tab ne ferait pas sélectionner quelque chose que tu peux valider avec Entrée ?

Hors ligne

#3 Le 09/12/2012, à 14:33

josep

Re : acepter eula

Bonjour slasher
non tab ne fait rien apparaitre.
a la fin du fichier j'ai "END" en surligné

Hors ligne

#4 Le 09/12/2012, à 15:05

tiramiseb

Re : acepter eula

Et si tu fais juste entrée ?


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#5 Le 09/12/2012, à 17:43

josep

Re : acepter eula

entrée ne fait rien
j'ai essayé de faire défiler tout le texte avec entrée ça s'arrette au mot "end" surligné
en faisant défiler avec les flèches puis entrée c'est pareil aussi.

Hors ligne

#6 Le 09/12/2012, à 17:55

slasher-fun

Re : acepter eula

"q" ?

Hors ligne

#7 Le 09/12/2012, à 18:12

josep

Re : acepter eula

oui "q" permet de faire l'installation!
l'icone livrefoto est bien sur le bureau mais impossible de lancer l'application

Hors ligne

#8 Le 09/12/2012, à 19:16

tiramiseb

Re : acepter eula

josep a écrit :

l'icone livrefoto est bien sur le bureau mais impossible de lancer l'application

Dans un terminal, peux-tu exécuter les commandes suivantes ?

ls -lh ~/Bureau/
cat ~/Bureau/*.desktop

Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#9 Le 09/12/2012, à 21:23

josep

Re : acepter eula

hello tiramiseb
les 2 : aucun fichier ou dossier

Hors ligne

#10 Le 09/12/2012, à 21:26

tiramiseb

Re : acepter eula

Ce n'est pas possible.
As-tu bien tapé les commandes au caractère près ?
Peux-tu faire un copier-coller de ce que tu as tapé ?

Ajoute également :

ls -lh ~

Dernière modification par tiramiseb (Le 09/12/2012, à 21:27)


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#11 Le 10/12/2012, à 17:33

josep

Re : acepter eula

Hello tiramiseb

voici ce que me retournent les commandes que tu m'as indiqué.


subirana@subirana-System-Product-Name:~$ ls -lh ~/Bureau/
ls: impossible d'accéder à /home/subirana/Bureau/: Aucun fichier ou dossier de ce type
subirana@subirana-System-Product-Name:~$

subirana@subirana-System-Product-Name:~$ cat ~/Bureau/*.desktop
cat: /home/subirana/Bureau/*.desktop: Aucun fichier ou dossier de ce type
subirana@subirana-System-Product-Name:~$



subirana@subirana-System-Product-Name:~$ ls -lh ~
total 30M
drwxrwxr-x  4 subirana subirana 4,0K juil.  4 16:41 debian
drwxr-xr-x  2 subirana subirana 4,0K déc.  10 09:23 Desktop
drwxr-xr-x  3 subirana subirana 4,0K déc.  10 10:22 Documents
-rw-r--r--  1 subirana subirana 5,0K févr.  7  2011 EULA.txt
-rw-r--r--  1 subirana subirana 8,3K nov.  27 19:47 examples.desktop
drwxrwxr-x  4 subirana subirana 4,0K déc.   9 21:37 GNUstep
-rw-rw-r--  1 subirana subirana  30M oct.  31 02:30 google-earth-stable_current_i386.deb
-rw-rw-r--  1 subirana subirana    0 déc.   9 20:04 horloge.sh~
drwxr-xr-x  2 subirana subirana 4,0K nov.  27 19:59 Images
-rwxr-xr-x  1 subirana subirana  31K nov.  29 14:22 install.pl
-rwxr-xr-x  1 subirana subirana  187 nov.  27 19:47 LI_shop.desktop
drwxrwxr-x  3 subirana subirana 4,0K déc.   9 18:02 Livre-photo.com
-rwxr-xr-x  1 subirana subirana  369 déc.   9 18:06 Livre-photo.com_4.8.7.desktop
-rwxr-xr-x  1 subirana subirana  155 nov.  27 19:47 LI_webpage.desktop
drwxr-xr-x  2 subirana subirana 4,0K nov.  27 19:59 Modèles
drwxr-xr-x  2 subirana subirana 4,0K nov.  27 19:59 Musique
drwxr-xr-x  2 subirana subirana 4,0K nov.  27 19:59 Public
-rw-rw-r--  1 subirana subirana  389 nov.  28 13:04 sfrMail
drwx------  6 subirana subirana 4,0K déc.   9 18:14 Téléchargements
drwxrwxr-x  9 subirana subirana 4,0K nov.  29 11:33 thèmes
drwxrwxr-x  2 subirana subirana 4,0K déc.   9 10:55 Ubuntu One
drwxrwxr-x  6 subirana subirana 4,0K oct.  30 00:22 usr
drwxr-xr-x  2 subirana subirana 4,0K nov.  27 19:59 Vidéos
drwxrwxr-x 16 subirana subirana 4,0K déc.   9 11:40 vlc-1.1.11-sfr12
subirana@subirana-System-Product-Name:~$

Hors ligne

#12 Le 10/12/2012, à 17:36

tiramiseb

Re : acepter eula

ok, tu as les noms de répertoires en anglais...
donc :

ls -lh ~/Desktop/
cat ~/Desktop/*.desktop

Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#13 Le 10/12/2012, à 17:53

josep

Re : acepter eula

ok cette fois ça change
voilà ce que j'obtiens

subirana@subirana-System-Product-Name:~$ ls -lh ~/Desktop/
total 8,0K
-rwxr-xr-x 1 subirana subirana 369 déc.   9 18:06 Livre-photo.com_4.8.7.desktop
-rw-rw-r-- 1 subirana subirana 389 nov.  28 13:04 sfrMail
subirana@subirana-System-Product-Name:~$ cat ~/Desktop/*.desktop
[Desktop Entry]
Comment=
Comment[de]=
Encoding=UTF-8
Exec="/home/subirana/Livre-photo.com/Livre-photo.com/Livre-photo.com"
Icon=/home/subirana/Livre-photo.com/Livre-photo.com/Resources/keyaccount/32.xpm
Path=/home/subirana/Livre-photo.com/Livre-photo.com
Name=Livre-photo.com
Name[de]=Livre-photo.com
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
subirana@subirana-System-Product-Name:~$

Hors ligne

#14 Le 10/12/2012, à 20:21

tiramiseb

Re : acepter eula

Ok, et si tu tapes la commande suivante, que se passe-t-il ?

/home/subirana/Livre-photo.com/Livre-photo.com/Livre-photo.com

Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#15 Le 10/12/2012, à 20:28

josep

Re : acepter eula

voilà
subirana@subirana-System-Product-Name:~$ /home/subirana/Livre-photo.com/Livre-photo.com/Livre-photo.com
/home/subirana/Livre-photo.com/Livre-photo.com/Livre-photo.com: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
subirana@subirana-System-Product-Name:~$

Hors ligne

#16 Le 10/12/2012, à 20:32

tiramiseb

Re : acepter eula

Installe le paquet libstdc++6.

sudo apt-get install libstdc++6

puis réessaie


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#17 Le 10/12/2012, à 20:43

josep

Re : acepter eula

paquet bien installé
mais l’application ne se lance toujours pas.
j'ai refait le dernier test:

subirana@subirana-System-Product-Name:~$ /home/subirana/Livre-photo.com/Livre-photo.com/Livre-photo.com
/home/subirana/Livre-photo.com/Livre-photo.com/Livre-photo.com: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
subirana@subirana-System-Product-Name:~$

Hors ligne

#18 Le 12/12/2012, à 23:12

Baleine

Re : acepter eula

Même problème pour une toute autre installation (GameEditor)

baleine@baleine:~/----/GameEditor$ ./gameEditorLinux
./gameEditorLinux: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

Le paquet libstdc++6 est aussi installé chez moi... si vous avez un tuyau je suis preneur, et je continue mes recherches de toute façon.
Merci à vous

Dernière modification par Baleine (Le 12/12/2012, à 23:13)

Hors ligne

#19 Le 12/12/2012, à 23:39

josep

Re : acepter eula

pas encore trouvé la solution
j'espère que quelqu'un pourra nous aider.

Hors ligne

#20 Le 13/12/2012, à 08:25

tiramiseb

Re : acepter eula

Tentez éventuellement d'installer les packages lib32stdc++6 et lib64stdc++6


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#21 Le 14/12/2012, à 12:07

Baleine

Re : acepter eula

La lib32 s'installe sans problème. Pour la 64 c'est autre chose :

baleine@baleine:~/ sudo apt-get install lib64stdc++6
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 lib64stdc++6:i386 : Dépend: lib64gcc1:i386 (>= 1:4.1.1) mais ne sera pas installé
                     Dépend: libc6-amd64:i386 (>= 2.14) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Mais l'installation de la lib32 change le problème, au lieu de me demander la libstdc++.so.6, elle me demande ça :

baleine@baleine:~/ ./gameEditorLinux 
./gameEditorLinux: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory

Je vais chercher la libX11.so.6 sur le forum, voir si je trouve quelque chose

Hors ligne

#22 Le 14/12/2012, à 12:34

Baleine

Re : acepter eula

J'essaye d'avancer, et voilà la procédure que je suis.
Avec la commande ldd, je liste les dépendances de ./gameEditorLinux

baleine@baleine:~/ ldd ./gameEditorLinux
	linux-gate.so.1 =>  (0xf7765000)
	libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf766d000)
	libpthread.so.0 => /lib32/libpthread.so.0 (0xf7652000)
	libX11.so.6 => not found
	libXext.so.6 => not found
	libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf7634000)
	libc.so.6 => /lib32/libc.so.6 (0xf748c000)
	libm.so.6 => /lib32/libm.so.6 (0xf7461000)
	/lib/ld-linux.so.2 (0xf7766000)

La libstdc++.so.6 a bien été installé, Elle était donc bien dans le paquet lib32stdc++6.
Il me manque d'autre librairies : la libX11.so.6 et la libXext.so.6
J'essaye de les trouver, et pour ça, j'installe le programme apt-file.

Je lance :

baleine@baleine:~/ sudo apt-file search libX11.so.6
libx11-6: /usr/lib/x86_64-linux-gnu/libX11.so.6
libx11-6: /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0
libx11-6-dbg: /usr/lib/debug/usr/lib/x86_64-linux-gnu/libX11.so.6.3.0

Et

baleine@baleine:~/ sudo apt-file search libXext.so.6
libxext6: /usr/lib/x86_64-linux-gnu/libXext.so.6
libxext6: /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0
libxext6-dbg: /usr/lib/debug/usr/lib/x86_64-linux-gnu/libXext.so.6.4.0

Je sais pas vraiment ce que veut dire tout ça, mais j'ai l'impression que les librairies ont déjà installées.

baleine@baleine:~$ dpkg -l | grep -i libx11
ii  libx11-6                             2:1.4.99.1-0ubuntu2                     X11 client-side library
ii  libx11-data                          2:1.4.99.1-0ubuntu2                     X11 client-side library
ii  libx11-xcb1                          2:1.4.99.1-0ubuntu2                     Xlib/XCB interface library
baleine@baleine:~$ dpkg -l | grep -i libxext6
ii  libxext6                             2:1.3.0-3build1                         X11 miscellaneous extension library

Mon bazar sort peut-être un peu des clous de ce post, je crois que ton problème, josep, va être résolu s'il ne te manque que la librairie libstdc++6.

Dernière modification par Baleine (Le 14/12/2012, à 13:04)

Hors ligne

#23 Le 14/12/2012, à 14:29

tiramiseb

Re : acepter eula

Baleine a écrit :

l'installation de la lib32 change le problème, au lieu de me demander la libstdc++.so.6, elle me demande ça :
[...]

libX11.so.6: cannot open shared object file: No such file or directory

Ok, donc  comme je le soupçonnais, le logiciel en question tourne en 32 bits et pas en 64.
Il faut donc installer les lib32XXX des bibliothèques concernées.

Baleine a écrit :

Je vais chercher la libX11.so.6 sur le forum, voir si je trouve quelque chose

Tu peux chercher sur packages.ubuntu.com, dans la section "Recherche dans le contenu des paquets"
Par exemple :
http://packages.ubuntu.com/search?searc … l&arch=any

idem pour d'éventuelles autres bibliothèques.


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#24 Le 14/12/2012, à 15:27

Baleine

Re : acepter eula

Ok, j'ai compris l'idée générale. Je te remercie.
Ça ne marche toujours pas mais je dois m'y prendre comme un manche, c'est la première fois que j'installe des paquets depuis "packages.ubuntu.com".

1 Après avoir cliqué sur ton lien, j'ai cliqué dans la petite colonne "Paquets" sur libxext6 [non amd64] puisque je cherche à obtenir les librairies en 32 bits
2 Je me retrouve sur la page du paquet, dans la section Télécharger libxext6 je clique sur i386 et dans la liste des miroirs, j'en choisi un au hasard en Europe
3 Je télécharge le paquet.deb, et je l'installe avec mon installeur de paquets.

Mon installeur de paquet a écrit :

Une version plus ancienne est disponible dans un dépôt

Qu'importe, j'installe le paquet

Mon installeur de paquet a écrit :

Erreur : impossible de résoudre les dépendances, le cache est corrompu

Et en version terminal ça dit :

Sélection du paquet libx11-6:i386 précédemment désélectionné.
(Lecture de la base de données... 189607 fichiers et répertoires déjà installés.)
Dépaquetage de libx11-6:i386 (à partir de .../libx11-6_1.5.0-1_i386(1).deb) ...
Déconfiguration de libx11-6 ...
dpkg : erreur de traitement de libx11-6:i386 (--install) :
 libx11-6:i386 2:1.5.0-1 cannot be configured because libx11-6:amd64 is in a different version (2:1.4.99.1-0ubuntu2)
dpkg : erreur de traitement de libx11-6 (--install) :
 libx11-6:amd64 2:1.4.99.1-0ubuntu2 cannot be configured because libx11-6:i386 is in a different version (2:1.5.0-1)
Des erreurs ont été rencontrées pendant l'exécution :
 libx11-6:i386
 libx11-6

Il me propose de lancer sudo apt-get install -f qui renvoie

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libxcb1:i386 libxau6:i386 libxdmcp6:i386
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  libx11-6:i386
0 mis à jour, 0 nouvellement installés, 1 à enlever et 2 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 1 524 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 189609 fichiers et répertoires déjà installés.)
Suppression de libx11-6:i386 ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place
Paramétrage de libx11-6 (2:1.4.99.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place

Bon, je suis certain de faire des bêtises. Tu peux m'expliquer la procédure ?

Hors ligne

#25 Le 14/12/2012, à 15:28

tiramiseb

Re : acepter eula

Pas besoin de télécharger le paquet à partir de packages.ubuntu.com

Ce site te permet de savoir dans quel paquet est tel ou tel fichier. Ensuite tu installes avec apt-get.

Les liens de packages.ubuntu.com pointent vers les paquets auxquels tu accèdes par apt-get.


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXe siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne